# Set background color
Screen.backgroundColor = "#7DDD11"

# Create PageComponent
page = new PageComponent 
	x: Align.center
	y: Align.center	
	width: 300
	borderRadius: 6
	scrollVertical: false

# Add pages
for i in [0...5]
	layer = new Layer 
		parent: page.content
		name: "Page #{i}"
		x: 210 * i
		backgroundColor: "#fff"
		borderRadius: 6
		opacity: 0.25

# Style current page
page.currentPage.opacity = 1

# Fade in the most centered page
page.onChange "currentPage", ->
	page.previousPage.animate 
		properties:
			opacity: 0.25
		time: 0.5
		
	page.currentPage.animate 
		properties:
			opacity: 1
		time: 0.5